Skip to main content
GET
/
agents
Error
A valid request URL is required to generate request examples
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "organizationId": "<string>",
      "name": "<string>",
      "version": 123,
      "persona": "<string>",
      "primaryLanguage": "<string>",
      "languages": [
        "<string>"
      ],
      "enabledChannels": [],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "goals": [
        "<string>"
      ],
      "neverDo": [
        "<string>"
      ],
      "tone": "<string>",
      "lexicon": {
        "preferred": [
          "<string>"
        ],
        "banned": [
          "<string>"
        ],
        "pronunciations": {}
      },
      "voiceMap": {},
      "defaultVoiceId": "<string>",
      "voiceSettings": {
        "stability": 123,
        "similarityBoost": 123,
        "style": 123,
        "useSpeakerBoost": true,
        "speed": 123
      },
      "llmModel": "<string>",
      "llmTemperature": 123,
      "ttsModel": "<string>",
      "sttModel": "<string>",
      "endpointing": {
        "minSilenceMs": 123,
        "maxSilenceMs": 123,
        "semantic": true
      },
      "greeting": "<string>",
      "handoffConfig": {
        "warm": true,
        "transferDestination": "<string>",
        "escalationThreshold": 123,
        "contextSummaryUrl": "<string>",
        "transferRules": [
          {
            "label": "<string>",
            "when": "<string>",
            "destination": "<string>"
          }
        ]
      },
      "callControl": {
        "maxCallSeconds": 123,
        "maxDurationMessage": "<string>",
        "idleReminderDelaySeconds": 123,
        "idleReminderIntervalSeconds": 123,
        "maxIdleReminders": 123,
        "endCallPhrasesEnabled": true
      },
      "businessHours": {
        "timezone": "<string>",
        "weekly": {},
        "holidays": [
          {
            "date": "<string>",
            "name": "<string>",
            "endDate": "<string>",
            "closed": true,
            "ranges": [
              {
                "start": "<string>",
                "end": "<string>"
              }
            ]
          }
        ],
        "afterHours": {
          "mode": "<string>",
          "message": "<string>",
          "allowHumanTransfer": true,
          "number": "<string>",
          "emergencyNumber": "<string>"
        }
      },
      "channelOverrides": {},
      "avgTicketCents": 123,
      "publishedVersionId": "<string>",
      "isActive": true,
      "createdBy": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "nextCursor": "<string>"
  },
  "message": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Flowyte secret API key (Authorization: Bearer flowyte_sk_live_…). Scope-gated; is scoped to your organization — a key can never reach another tenant. The listed scopes in each operation's apiKey requirement are the scopes that key must hold. The tokenUrl is nominal: keys are minted in the dashboard.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100
status
enum<string>
Available options:
draft,
published
q
string

Free-text name search.

Response

Paginated agents.

success
boolean
required
data
object[]
required
pagination
object
required
message
string
errors
object[]